<?php
require_once('configNonauth.inc'); 
require_once(CORE_PATH . 'langHeader.inc'); 
require_once(LIB_PATH . 'Page.inc'); 
require_once(LIB_PATH . 'HtmlElements.inc'); 
require_once(CORE_PATH . 'common.inc'); 
require_once(CORE_PATH . 'browser.inc'); 
$x_33 = new x_4n(); 
header("X-Kerio-Filter: translate-webiface=" . $x_33->x_8f()); 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_53 = Array(); 
$x_2 = ''; 
$x_7x->decodeUrl(urldecode($_GET['dest']), $x_2); 
$x_ox = $x_7x->unlockRule($_GET['ID']); 
$x_53['url'] = $x_2; 
if ($x_ox) { 
header("Location:" . $x_2); 
} else { 
$x_1w = x_52('unlockFailed', $x_6, $x_53); 
$page = new x_w('<kerio:text id="lang_unlock_failed"/>'); 
$page->x_a($x_a); 
$page->x_1o($x_1w); 
$page->x_y(); 
} 
?>
